Testing with build_test.sh
diff --git a/.travis.yml b/.travis.yml
index 58b5a91..2b58f4a 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,10 +1,20 @@
 os:
   - linux
 
+services:
+  - docker
+
+env: SAMPLE_FILE=https://github.com/ptrkrysik/test_data/raw/86df03f54d86093e2fe22daae8bb8c170cf31e58/vf_call6_a725_d174_g5_Kc1EF00BAB3BAC7002.cfile
 matrix:
   include:
     - os: linux
       language: generic
       env: DOCKERFILE=Ubuntu.docker
+      env: IMGNAME=ubu-grgsm
 
-  script: cat $DOCKERFILE | docker build -
+before_install:
+  - cat $DOCKERFILE | docker build -t $IMGNAME -
+
+
+script:
+  - docker run -it --rm $IMGNAME --env CAPFILE=$SAMPLE_FILE /bin/bash /build_test.sh
diff --git a/Ubuntu.dockerfile b/Ubuntu.dockerfile
index 61be690..666d64f 100644
--- a/Ubuntu.dockerfile
+++ b/Ubuntu.dockerfile
@@ -58,4 +58,7 @@
   cd build && \
   cmake .. && \
   make && \
-  sudo make install
+  sudo make install &&\
+  ldconfig
+
+COPY build_test.sh /
diff --git a/build_test.sh b/build_test.sh
new file mode 100644
index 0000000..8370e1d
--- /dev/null
+++ b/build_test.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+export AP_DECODE=/usr/local/bin/airprobe_decode.py
+# We expect $CAPFILE to be defined.  If not, exit...
+if test -z $CAPFILE ; then
+  echo "Missing CAPFILE environment variable."
+  exit 1
+fi
+/usr/bin/python $AP_DECODE -c $CAPFILE